Adobe Flash, Reader and Acrobat Security Alert

Posted by Emory Kale

Danger, danger, Will Robinson! Abandon Flash. Jump to HTML5 before we all implode.

I am not sure what the karmic response to software security issues should be. In the case of anything from Microsoft, it seems to be karmicly positive to feel elation, vindication, and joy at the prospect of any disaster that befalls the company and its product.

And now, so it is with Adobe. Steve Jobs opened the door, and the floods pouring in, baby. You see, now it's okay to feel like Adobe is part of some conspiracy to, uhm, who knows, but it isn't good.

The latest is a blog post from the Adobe Product Security Incident Response Team (PSIRT). Firstly, if your company has a group so named, it does not make anyone feel good or safe or secure. Note to Adobe: call them Bananarama and everyone will think your software is made of chocolate.

Anyhow, a security advisory has been posted in regards to Adobe's Reader, Acrobat and Flash Player. A critical flaw exists in Flash Player 10.0.45.2 and earlier versions for Windows, Mac, Linux and Solaris. This flaw may cause a crash - we live with those all of the time - or potentially allow a hacker to take over your system - we is pooping our pants.

To quote the post:

"There are reports that this vulnerability is being actively exploited in the wild against both Adobe Flash Player, and Adobe Reader and Acrobat."

"In the wild?" What the heck does that mean? Only for computers being used on the Serengeti or in the Amazon? I mean, is that really a big demographic?

Flash Player 10.1, Acrobat and Reader 8.x appear to be safe. A blow for the anti-geezer software crusade, but what are you going to do. You need to keep your health.

So, version check, and make sure you are not vulnerable. Check the Adobe PSIRT blog for future notices. Send a letter to your congressman saying, Please make everyone adhere to HTML5 standards and stop screwing around.